# IPL data Project 
 In this project we have **Five** operation to do that 

##1## First question is regarding with  number of matches played per year of all the years in IPL
so we have to csv file we read that line by line through fast csv and then operation fetching so we get the file what we want .

#2# Second qestion regarding with  chart of matches won of all teams over all the years of IPL 
so in this we have to extract which  data by fetching csv data and extracting operation 

##3## third question is regarding with 2016 plot the extra runs conceded per team
doing the same with thad all data and extract run of 2016 by session id putting in both of that and doing extract only that part of data with 

#4# Fourth question regarding with 2015 plot the top economical bowlers
So we have to read both csv file and dusing certain operation do extract only that session id after that implement in second file deliver.csv read that data  and extract that part only of the data and then we sort that data to get that operation 

#5# Fifth question most man of the  match in every year decreasing order
so we fetch matches.csv and then extract data sort it 

